#
# spec file for package liblug (Version 1.0.8)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  libz libjpeg libtiff librle svgalib

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         liblug
Release:      6
Copyright:    Raul Rivero
Group: 
Provides:     liblug 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      1.0.8
Summary:      multiple format graphics library
Source: liblug-1.0.8.tar.gz
Patch: lug.dif
%description
Supports (among others) GIF,PCX,TGA,RGB,TIFF,PIX,RLA,RLE,PBM,PGM,PNM,RAW,JPG

Authors:
--------
    Raul Rivero <rivero@pinon.ccu.uniovi.es>

%prep
%setup -n lug
%patch
%build
make
%install
install include/lug*.h /usr/X11R6/include
install liblug.a /usr/X11R6/lib
install liblug.so.1.0.8 /usr/X11R6/lib
ln -sf liblug.so.1.0.8 /usr/X11R6/lib/liblug.so
cd examples
install -s cabezon fade fademask fadesec hf2gif lugcnv raindrops reborde senoidal siluet swapgifcmap sx11 zoomlug /usr/X11R6/bin
Check
%files
%doc CHANGES LICENSE README TODO copyright docs images/lug.gif images/logo.gif
/usr/X11R6/include/lug.h
/usr/X11R6/include/lugconf.h
/usr/X11R6/include/lugfnts.h
/usr/X11R6/lib/liblug.a
/usr/X11R6/lib/liblug.so.1.0.8
/usr/X11R6/lib/liblug.so
/usr/X11R6/bin/cabezon
/usr/X11R6/bin/fade
/usr/X11R6/bin/fademask
/usr/X11R6/bin/fadesec
/usr/X11R6/bin/hf2gif
/usr/X11R6/bin/lugcnv
/usr/X11R6/bin/raindrops
/usr/X11R6/bin/reborde
/usr/X11R6/bin/senoidal
/usr/X11R6/bin/siluet
/usr/X11R6/bin/swapgifcmap
/usr/X11R6/bin/sx11
/usr/X11R6/bin/zoomlug

